Index: http/Makefile
===================================================================
--- http/Makefile	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ http/Makefile	(revision 6c58235acefb0fdd1aa55d16c35f615d1eee86d2)
@@ -56,5 +56,5 @@
 
 ${PGM}: $(OBJS) $(LINK_FILES)
-	tar cf $(ARCH)/tarfile index.html
+ 	cd rootfs ; tar cf ../$(ARCH)/tarfile web etc
 	cp $(ARCH)/tarfile .
 	$(OBJCOPY) -I binary -O elf32-powerpc tarfile $(ARCH)/tarfile.o
Index: http/index.html
===================================================================
--- http/index.html	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<HTML>
-<HEAD><TITLE>RTEMS GoAhead Test Page</TITLE></HEAD>
-<BODY BGCOLOR="FFFFFF">
-<A HREF="http://www.oarcorp.com" target="Text Frame">
-  <IMG align=right BORDER=0 SRC="oaronly.jpg" ALT="OAR"> </A>
-<H1>RTEMS GoAhead Test Page</H1>
-<HR>
-<BODY>
-
-<P>Congratulations, you have successfully loaded your first page
-from the GoAhead Web Server running on RTEMS.</P>
-
-<HR>
-Copyright &copy; 1988-1999 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
-</BODY></HTML>
Index: http/init.c
===================================================================
--- http/init.c	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ http/init.c	(revision 6c58235acefb0fdd1aa55d16c35f615d1eee86d2)
@@ -11,4 +11,6 @@
 #define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS	20
+#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
 
 #define CONFIGURE_EXECUTIVE_RAM_SIZE	(512*1024)
@@ -51,11 +53,25 @@
 #define ARGUMENT 0
 
-extern int _binary_tarfile_start;
-extern int _binary_tarfile_size;
+/*
+ *  The tarfile is built in $(ARCH) so includes whether we were
+ *  built optimized or debug.
+ */
+
+#if defined(RTEMS_DEBUG)
+extern int _binary_o_debug_tarfile_start;
+extern int _binary_o_debug_tarfile_size;
+#define TARFILE_START _binary_o_debug_tarfile_start
+#define TARFILE_SIZE _binary_o_debug_tarfile_size
+#else
+extern int _binary_o_optimize_tarfile_start;
+extern int _binary_o_optimize_tarfile_size;
+#define TARFILE_START _binary_o_optimize_tarfile_start
+#define TARFILE_SIZE _binary_o_optimize_tarfile_size
+#endif
 
 struct rtems_ftpd_configuration rtems_ftpd_configuration = {
    10,                     /* FTPD task priority            */
    1024,                   /* Maximum buffersize for hooks  */
-   80,                     /* Well-known port     */
+   21,                     /* Well-known port     */
    NULL                    /* List of hooks       */
 };
@@ -71,9 +87,7 @@
 
   rtems_bsdnet_initialize_network ();
-
   rtems_initialize_ftpd();
 
-  status = Untar_FromMemory((unsigned char *)(&_binary_tarfile_start),
-			    &_binary_tarfile_size);
+  status = Untar_FromMemory((unsigned char *)(&TARFILE_START), &TARFILE_SIZE);
    
   rtems_initialize_webserver();
Index: http/rootfs/etc/host.conf
===================================================================
--- http/rootfs/etc/host.conf	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ http/rootfs/etc/host.conf	(revision 6c58235acefb0fdd1aa55d16c35f615d1eee86d2)
@@ -0,0 +1,1 @@
+order hosts, bind
Index: http/rootfs/etc/hosts
===================================================================
--- http/rootfs/etc/hosts	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ http/rootfs/etc/hosts	(revision 6c58235acefb0fdd1aa55d16c35f615d1eee86d2)
@@ -0,0 +1,2 @@
+127.0.0.0	 localhost
+192.168.1.2	 rtems		# ip address of webserver
Index: http/rootfs/web/index.html
===================================================================
--- http/rootfs/web/index.html	(revision 969907a44de48894b0e438e17c813e0bad285224)
+++ http/rootfs/web/index.html	(revision 6c58235acefb0fdd1aa55d16c35f615d1eee86d2)
@@ -0,0 +1,15 @@
+<HTML>
+<HEAD><TITLE>RTEMS GoAhead Test Page</TITLE></HEAD>
+<BODY BGCOLOR="FFFFFF">
+<A HREF="http://www.oarcorp.com" target="Text Frame">
+  <IMG align=right BORDER=0 SRC="oaronly.jpg" ALT="OAR"> </A>
+<H1>RTEMS GoAhead Test Page</H1>
+<HR>
+<BODY>
+
+<P>Congratulations, you have successfully loaded your first page
+from the GoAhead Web Server running on RTEMS.</P>
+
+<HR>
+Copyright &copy; 1988-1999 <A HREF="http://www.oarcorp.com" target="Text Frame">OAR Corporation</A>
+</BODY></HTML>
